### Plugging In Different PDF Generator

PDF generator in Parallels Business Automation - Standard provides the ability of printing HTML documents into PDF files.

By default, the htmldoc PDF generator is used in Parallels Business Automation - Standard. The htmldoc PDF generator is a plain tool with rather modest capabilities.

To generate PDF documents with multi-byte charsets (for example, Chinese, Japanese, or Korean) and/or signatures that are not supported by the htmldoc generator, you can install another PDF generator and plug it into Parallels Business Automation - Standard using the web-based interface.

For documents with Cyrillic fonts we offer a solution that allows generating good looking PDF documents using htmldoc.

PDF generator can be changed under Configuration Director > Miscellaneous Settings > PDF Generator Setup.

The PDF generator setup screen shows the current template of the command to be executed on documents PDF print.

To change the command template, click the Edit button and enter a new command into the PDF Generator Template field.

The keys used in the htmldoc command template:

`--no-embedfonts` - do not embed fonts into PDF file. This allows decreasing a PDF file size.

`--webpage` - the PDF file is to be viewed using web browser.

`-t` - print into a file.

Placeholders to be used in the command for any PDF generator:

`%target_file%` - inserts in an actual command string the name of a file the documents will be printed into.

`%source_files%` - inserts in an actual command string the names of files to be printed into PDF target file.

Please send us your feedback on this help page